## org.biojava.ontology
Class DefaultOps

    java.lang.Object
      org.biojava.ontology.DefaultOps

All Implemented Interfaces:
  Serializable, OntologyOps

    public abstract class DefaultOps

extends Object
implements OntologyOps, Serializable

Default implementation of OntologyOps. Sub-class this and implement the getOntology() method when implementing an Ontolgy class that can't provide optimized access for these routines.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`DefaultOps()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.ontology.OntologyOps
`getRemoteTerms`

Constructor Detail

### DefaultOps

    public DefaultOps()